umbrello 2.32.3 Umbrello UML Modeller is a Unified Modelling Language (UML) diagram program based on KDE Technology

Public Member Functions | Public Attributes | List of all members
Ui_JavaCodeGenerationFormBase Class Reference

`#include <ui_javacodegenerationformbase.h>`

Inheritance diagram for Ui_JavaCodeGenerationFormBase:

## Public Member Functions
void | setupUi (QWidget *JavaCodeGenerationFormBase)
void | retranslateUi (QWidget *JavaCodeGenerationFormBase)

## Public Attributes
QGridLayout * | gridLayout
QGridLayout * | gridLayout1
QGroupBox * | groupBox3
QVBoxLayout * | vboxLayout
QCheckBox * | m_makeANTDocumentCheckBox
QGroupBox * | groupBox2
QGridLayout * | gridLayout2
QGridLayout * | gridLayout3
QCheckBox * | m_generateConstructors
QCheckBox * | m_generateAssocAccessors
QCheckBox * | m_generateAttribAccessors
QGridLayout * | gridLayout4
QLabel * | textLabel1_3
KComboBox * | m_accessorScopeCB
QGridLayout * | gridLayout5
QLabel * | ui_textLabelAssFieldScope
KComboBox * | m_assocFieldScopeCB
QGroupBox * | groupBox1
QHBoxLayout * | hboxLayout
QLabel * | ui_textLabelStyle
KComboBox * | m_SelectCommentStyle
QLabel * | ui_textLabelTitle

## Member Function Documentation

## ◆ retranslateUi()

void Ui_JavaCodeGenerationFormBase::retranslateUi | ( | QWidget * | JavaCodeGenerationFormBase | ) |
| inline

## ◆ setupUi()

void Ui_JavaCodeGenerationFormBase::setupUi | ( | QWidget * | JavaCodeGenerationFormBase | ) |
| inline

## Member Data Documentation

## ◆ gridLayout

QGridLayout* Ui_JavaCodeGenerationFormBase::gridLayout

## ◆ gridLayout1

QGridLayout* Ui_JavaCodeGenerationFormBase::gridLayout1

## ◆ gridLayout2

QGridLayout* Ui_JavaCodeGenerationFormBase::gridLayout2

## ◆ gridLayout3

QGridLayout* Ui_JavaCodeGenerationFormBase::gridLayout3

## ◆ gridLayout4

QGridLayout* Ui_JavaCodeGenerationFormBase::gridLayout4

## ◆ gridLayout5

QGridLayout* Ui_JavaCodeGenerationFormBase::gridLayout5

## ◆ groupBox1

QGroupBox* Ui_JavaCodeGenerationFormBase::groupBox1

## ◆ groupBox2

QGroupBox* Ui_JavaCodeGenerationFormBase::groupBox2

## ◆ groupBox3

QGroupBox* Ui_JavaCodeGenerationFormBase::groupBox3

## ◆ hboxLayout

QHBoxLayout* Ui_JavaCodeGenerationFormBase::hboxLayout

## ◆ m_accessorScopeCB

KComboBox* Ui_JavaCodeGenerationFormBase::m_accessorScopeCB

## ◆ m_assocFieldScopeCB

KComboBox* Ui_JavaCodeGenerationFormBase::m_assocFieldScopeCB

## ◆ m_generateAssocAccessors

QCheckBox* Ui_JavaCodeGenerationFormBase::m_generateAssocAccessors

## ◆ m_generateAttribAccessors

QCheckBox* Ui_JavaCodeGenerationFormBase::m_generateAttribAccessors

## ◆ m_generateConstructors

QCheckBox* Ui_JavaCodeGenerationFormBase::m_generateConstructors

## ◆ m_makeANTDocumentCheckBox

QCheckBox* Ui_JavaCodeGenerationFormBase::m_makeANTDocumentCheckBox

## ◆ m_SelectCommentStyle

KComboBox* Ui_JavaCodeGenerationFormBase::m_SelectCommentStyle

## ◆ textLabel1_3

QLabel* Ui_JavaCodeGenerationFormBase::textLabel1_3

## ◆ ui_textLabelAssFieldScope

QLabel* Ui_JavaCodeGenerationFormBase::ui_textLabelAssFieldScope

## ◆ ui_textLabelStyle

QLabel* Ui_JavaCodeGenerationFormBase::ui_textLabelStyle

## ◆ ui_textLabelTitle

QLabel* Ui_JavaCodeGenerationFormBase::ui_textLabelTitle

## ◆ vboxLayout

QVBoxLayout* Ui_JavaCodeGenerationFormBase::vboxLayout

The documentation for this class was generated from the following file:

- cmake-build/umbrello/ui_javacodegenerationformbase.h